package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  用户
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "AccountUsers")
public class AccountUsers implements Serializable {
    private static final long serialVersionUID = 2525339404301884673L;
    private Integer id;

    private Date createTime;

    private String createUserAutoId;

    private Date updateTime;

    private String updateUserAutoId;

    private Integer isDelete;

    private Integer sort;

    /**
     * 有前后缀的自动编号
     */
    private String autoId;

    /**
     * oa的用户编号
     */
    private String oaAutoId;

    /**
     * 权限编号
     */
    private Integer roleId;

    /**
     * 权限2编号
     */
    private Integer role2Id;

    /**
     * 等级编号
     */
    private String lvlId;

    /**
     * 登录名
     */
    private String userName;

    /**
     * 真实姓名
     */
    private String nickName;

    /**
     * 组织架构部门编号
     */
    private String organizationAutoId;

    /**
     * 组织架构部门
     */
    private String organizationName;

    /**
     * 父级组织架构编号
     */
    private String pOrganizationAutoId;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 电话
     */
    private String mobile;

    /**
     * 超级管理员
     */
    private Integer isSupper;

    /**
     * 激活
     */
    private Integer isActive;

    /**
     * 自助用户
     */
    private Integer isSelf;

    /**
     * 自助用户是否通过审核
     */
    private Integer isReview;

    private String accessToken;

    private Integer tokenExpired;

    /**
     * 微信openId
     */
    private String wxOpenId;

    /**
     * 微信公众号
     */
    private String wxSubOpenId;
}
